com.datecs.rfid

## Class RFIDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.datecs.rfid.RFIDException

- All Implemented Interfaces:
    java.io.Serializable

      public class RFIDException
      extends java.io.IOException

  The exception that is thrown when an RC663 module error occurs.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_FAILED` Command failed.
    `static int` | `ERROR_MIFARE_EACCESS` Mifare access error.
    `static int` | `ERROR_MIFARE_EAUTHENTICATION` Mifare authentication error.
    `static int` | `ERROR_MIFARE_EBASE` Mifare operation successful.
    `static int` | `ERROR_MIFARE_EBIT` Mifare bit count error.
    `static int` | `ERROR_MIFARE_ECODE` Mifare code error.
    `static int` | `ERROR_MIFARE_ECOLLISION` Mifare collision error.
    `static int` | `ERROR_MIFARE_ECRC` Mifare CRC error.
    `static int` | `ERROR_MIFARE_EEEPROM` Mifare EEPROM error.
    `static int` | `ERROR_MIFARE_EFIFO` Mifare FIFO overflow.
    `static int` | `ERROR_MIFARE_EFRAME` Mifare frame error.
    `static int` | `ERROR_MIFARE_EGENERIC` Mifare generic error.
    `static int` | `ERROR_MIFARE_EKEY` Mifare invalid key.
    `static int` | `ERROR_MIFARE_EPARITY` Mifare parity error.
    `static int` | `ERROR_MIFARE_ETIMEOUT` Mifare timeout error.
    `static int` | `ERROR_MIFARE_EVALUE` Mifare value error.
    `static int` | `ERROR_TIMEOUT` Timeout expired.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFIDException(int errorCode)` Initializes a new instance of the RC663Exception class with its error code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` Gets the error code that raise the exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_TIMEOUT

          public static final int ERROR_TIMEOUT

      Timeout expired.
      See Also:
        Constant Field Values

    - #### ERROR_FAILED

          public static final int ERROR_FAILED

      Command failed.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EBASE

          public static final int ERROR_MIFARE_EBASE

      Mifare operation successful.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_ETIMEOUT

          public static final int ERROR_MIFARE_ETIMEOUT

      Mifare timeout error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_ECOLLISION

          public static final int ERROR_MIFARE_ECOLLISION

      Mifare collision error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EPARITY

          public static final int ERROR_MIFARE_EPARITY

      Mifare parity error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EFRAME

          public static final int ERROR_MIFARE_EFRAME

      Mifare frame error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_ECRC

          public static final int ERROR_MIFARE_ECRC

      Mifare CRC error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EFIFO

          public static final int ERROR_MIFARE_EFIFO

      Mifare FIFO overflow.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EEEPROM

          public static final int ERROR_MIFARE_EEEPROM

      Mifare EEPROM error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EKEY

          public static final int ERROR_MIFARE_EKEY

      Mifare invalid key.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EGENERIC

          public static final int ERROR_MIFARE_EGENERIC

      Mifare generic error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EAUTHENTICATION

          public static final int ERROR_MIFARE_EAUTHENTICATION

      Mifare authentication error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_ECODE

          public static final int ERROR_MIFARE_ECODE

      Mifare code error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EBIT

          public static final int ERROR_MIFARE_EBIT

      Mifare bit count error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EACCESS

          public static final int ERROR_MIFARE_EACCESS

      Mifare access error.
      See Also:
        Constant Field Values

    - #### ERROR_MIFARE_EVALUE

          public static final int ERROR_MIFARE_EVALUE

      Mifare value error.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RFIDException

          public RFIDException(int errorCode)

      Initializes a new instance of the RC663Exception class with its error code.
      Parameters:
        `errorCode` - the error code that raise the exception.

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Gets the error code that raise the exception.
      Returns:
        the error code.